package org.dromara.system.service;

import org.dromara.system.domain.TblCountry;
import org.dromara.system.domain.vo.TblCountryVo;
import org.dromara.system.domain.bo.TblCountryBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 乡镇管理Service接口
 *
 * @author Lion Li
 * @date 2024-09-27
 */
public interface ITblCountryService {

    /**
     * 查询乡镇管理
     */
    TblCountryVo queryById(Long id);

    /**
     * 查询乡镇管理列表
     */
    TableDataInfo<TblCountryVo> queryPageList(TblCountryBo bo, PageQuery pageQuery);

    /**
     * 查询乡镇管理列表
     */
    List<TblCountryVo> queryList(TblCountryBo bo);

    /**
     * 新增乡镇管理
     */
    Boolean insertByBo(TblCountryBo bo);

    /**
     * 修改乡镇管理
     */
    Boolean updateByBo(TblCountryBo bo);

    /**
     * 校验并批量删除乡镇管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
